Subject: Re: What's cooking in git.git (Sep 2021, #01; Thu, 2)

From: Junio C Hamano <[email-masked]>
Date: Tue, 07 Sep 2021 10:15:23 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> On Thu, Sep 02 2021, Junio C Hamano wrote:
>
>> * js/retire-preserve-merges (2021-09-01) 7 commits
>...
> There's an outstanding re-roll of this topic that hasn't yet hit the
> list. If you've got Johannes's git.git on github as a remote:
>
>     git range-diff origin/master gitster/js/retire-preserve-merges dscho/drop-rebase-p
>
> I.e. this is in response to some of my comments about now-dead code &
> loose ends. Not all of that was addressed, e.g. the git-sh-i18n.sh
> change, which is fine & per the discussion there can be done as a
> follow-up, but I believe the current state per the above is that
> Johannes is still going to submit a (hopefully final) v3.

Thanks.  Will mark as such.

>> * gh/gitweb-branch-sort (2021-06-10) 1 commit
>>  - gitweb: use HEAD as secondary sort key in git_get_heads_list()
>>
>>  Tie-break branches that point at the same object in the list of
>>  branches on GitWeb to show the one pointed at by HEAD early.
>>
>>  Waiting for reviews.
>
> I reviewed this & left a note in the last What's Cooking at
> <[email-masked]>. I.e.:
>
>     I don't use gitweb anymore, but looked this
>     (<[email-masked]>) over just now. Looks
>     good to me.
>
> Perhaps it's better if I respond to the patches themselves with such
> notes instead of to What's Cooking?

Comments on the original thread is probably easier to handle for me,
but it ultimately is up to you.  As long as the patch author is made
aware of the comments so that they can act upon (if needed), I am
fine either way.

Thanks for helping.